Name: phonon
Summary: KDE4 Multimedia Framework 
Version: 4.3.1
Release: %mkrel 11
Epoch: 1
Url: http://phonon.kde.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: ftp://ftp.kde.org/pub/kde/stable/%name/%version/%name-%version.tar.bz2
Source1: %{name}-gstreamer.svg
Patch1: phonon-4.3.1-set-glib-application-name.patch
Patch2: phonon-4.3.1-stream-extract-metadata.patch
Patch3: phonon-4.2.0-ogg-mime-type.patch
Patch4: phonon-4.3-mandriva-pulseaudio.patch
Patch5: phonon-4.3.1-plugin-api.patch
# Backport
Patch100: phonon-backport-932980.patch
Patch101: phonon-backport-932756.patch
Patch102: phonon-backport-941287.patch
BuildRequires:  qt4-devel
BuildRequires:  kde4-macros
BuildRequires:  automoc
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  imagemagick

%description
Phonon is the KDE4 Multimedia Framework

#--------------------------------------------------------------------

%define phononexperimental_major 4
%define libphononexperimental %mklibname phononexperimental %phononexperimental_major

%package -n %libphononexperimental
Summary: Phonon library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}phononexperimental5 < 3.93.0-0.714006.1


%description -n %libphononexperimental
Phonon library.

%post -n %libphononexperimental -p /sbin/ldconfig
%postun -n %libphononexperimental -p /sbin/ldconfig

%files -n %libphononexperimental
%defattr(-,root,root)
%_kde_libdir/libphononexperimental.so.%{phononexperimental_major}*

#--------------------------------------------------------------------

%define phonon_major 4
%define libphonon %mklibname phonon %phonon_major

%package -n %libphonon
Summary: Phonon library
Group: System/Libraries
Conflicts: %{_lib}kdecore5 >= 30000000:3.80.3
Obsoletes: %{_lib}phonon5 < 3.93.0-0.714006.1

%description -n %libphonon
Phonon library.

%post -n %libphonon -p /sbin/ldconfig
%postun -n %libphonon -p /sbin/ldconfig

%files -n %libphonon
%defattr(-,root,root)
%_kde_libdir/libphonon.so.%{phonon_major}*

#-----------------------------------------------------------------------------

%package -n phonon-gstreamer
Summary: GStreamer backend to Phonon
Group: Sound
BuildRequires: libgstreamer-devel
BuildRequires: libgstreamer-plugins-base-devel
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-pulse
Suggests: gstreamer0.10-ffmpeg
Suggests: gstreamer0.10-soup

Provides: phonon-backend = %epoch:%version

%description -n phonon-gstreamer
GStreamer backend to Phonon.

%files -n phonon-gstreamer
%defattr(-,root,root)
%dir %_kde_libdir/kde4/plugins/phonon_backend
%_kde_libdir/kde4/plugins/phonon_backend/phonon_gstreamer.so
%_kde_datadir/kde4/services/phononbackends/gstreamer.desktop
%_datadir/icons/hicolor/*

#-----------------------------------------------------------------------------

%package -n phonon-xine
Summary: Xine backend to Phonon
Group: Sound
BuildRequires: libxine-devel
Obsoletes: kde4-phonon-xine < 1:3.93.0-0.714129.2
Requires: xine-plugins
Requires: xine-pulse
Provides: phonon-backend = %epoch:%version

%description -n phonon-xine
Xine backend to Phonon.

%files -n phonon-xine
%defattr(-,root,root)
%dir %_kde_libdir/kde4/plugins/phonon_backend
%_kde_libdir/kde4/plugins/phonon_backend/phonon_xine.so
%_kde_datadir/kde4/services/phononbackends/xine.desktop
%_kde_iconsdir/*/*/*/phonon-xine.*

#--------------------------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files and documentation for compiling KDE applications
Requires: %libphononexperimental = %epoch:%version
Requires: %libphonon = %epoch:%version
Conflicts: kdelibs4-devel < 4.0.80-5
Obsoletes: phonon-common

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%defattr(-,root,root,-)
%{_kde_includedir}/phonon
%{_kde_includedir}/KDE
%{_kde_libdir}/libphonon.so
%{_kde_libdir}/libphononexperimental.so
%{_kde_libdir}/pkgconfig/phonon.pc
%{_kde_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml

#--------------------------------------------------------------------

%prep
%setup -q  -n %name-%version
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1

#backports
%patch100 -p0
%patch101 -p0
%patch102 -p0

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Make a nice icon
install -D -m 0644 %{_sourcedir}/%{name}-gstreamer.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}-gstreamer.svg
for size in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps
  convert -geometry ${size}x${size} %{_sourcedir}/%{name}-gstreamer.svg %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}-gstreamer.png
done

%clean
rm -rf "%{buildroot}"


%changelog
* Mon Apr 06 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-11mdv2009.1
+ Revision: 364421
- Remove extra suggests

* Fri Apr 03 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-10mdv2009.1
+ Revision: 363821
- phonon is not the place to obsolete arts

* Fri Mar 20 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.3.1-9mdv2009.1
+ Revision: 358263
- [Trunk] Add features in gstreamer engine
- Fix versionnate

* Wed Mar 18 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-7mdv2009.1
+ Revision: 357377
- Add initial support for gstreamer install plugins codec api, in a generic mode.
  This will allow default usage of Codeina or any helper script app as defined in the gstreamer compilation
- Removed old invalid patch

* Wed Mar 18 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.3.1-6mdv2009.1
+ Revision: 357305
- Fix obsoletes

* Tue Mar 17 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.3.1-5mdv2009.1
+ Revision: 356960
- Obsolete old arts

* Mon Mar 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.3.1-4mdv2009.1
+ Revision: 356217
- Remove subrel
  Bump release
- Add missing patch
- Add one revision per patch
- fix typo

* Fri Mar 06 2009 Colin Guthrie <cguthrie@mandriva.org> 1:4.3.1-3mdv2009.1
+ Revision: 349544
- Make strings translatable

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-2mdv2009.1
+ Revision: 346054
- Added backports patc for enconding fix.
- Added backport patch to stop/pause issue long seen in Amarok

* Fri Feb 27 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-1mdv2009.1
+ Revision: 345512
- Phonon 4.3.1 try#1 upstream release

* Mon Feb 23 2009 Colin Guthrie <cguthrie@mandriva.org> 1:4.3.0-2mdv2009.1
+ Revision: 344017
- Do not list any other devices when pulseaudio is enabled
- Pulseaudio is not an advanced output (patch seems to have been misconceived)

* Thu Jan 22 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.0-1mdv2009.1
+ Revision: 332566
- New upstream release tied to 4.2.0 upcoming release
- Fixed tarball from upstream

* Fri Jan 09 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.96-1mdv2009.1
+ Revision: 327543
- New version 4.2.96

* Thu Dec 18 2008 Colin Guthrie <cguthrie@mandriva.org> 1:4.2.80-1.895450.2mdv2009.1
+ Revision: 315395
- Fix URL parsing (e.g. when [ or ] in the name). Fixes mdv#45950

* Wed Dec 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.80-1.895450.1mdv2009.1
+ Revision: 312583
- Fix Release
- Update to new snapshot

* Mon Nov 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.80-1mdv2009.1
+ Revision: 306420
- Updated with fresh beta 1 official tarball

* Sun Oct 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.2.70-0.866326.2mdv2009.1
+ Revision: 295414
- Add epoch to ease upgrade
- New snapshot
- New snapshot

* Sun Oct 19 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-14mdv2009.1
+ Revision: 295176
- Slightly better patch that also handles .oga files
- Fix .ogg mime type handling

* Fri Oct 03 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-13mdv2009.0
+ Revision: 291038
- added suggests for gstreamer plugins, allow uswers to have strea and mp3 as default

* Tue Sep 23 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-12mdv2009.0
+ Revision: 287159
- Fix broken path in my previous patch generation
- Revised patch for streaming data extraction.

* Sun Sep 21 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-11mdv2009.0
+ Revision: 286376
- Add a gstreamer icon
- Add a patch that requests metadata from streams via icydemux and
  fudge this info into ALBUM/ARTIST metadata.

* Sat Sep 20 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-10mdv2009.0
+ Revision: 286057
- Use the same icon as the xine icon for pulseaudio (yet to be supplied)
- Require gstreamer0.10-pulse in the gstreamer backend.

* Fri Sep 19 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-9mdv2009.0
+ Revision: 285790
- Update patch to use QSettings rather than KConfig (which was a silly idea in the first place)
- Add cosmetic patch for pulseaudio with gst backend (detect pulse via draksound settings)
- Remove profile.d env var setting scripts as this is now handled in pulseaudio patch

* Thu Sep 18 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.0-8mdv2009.0
+ Revision: 285742
- Set the glib application name for the benefit of gstreamer sink (app name is used by pulseaudio)

* Mon Sep 15 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-7mdv2009.0
+ Revision: 285032
- auto audio sink

* Sun Sep 14 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-6mdv2009.0
+ Revision: 284616
- Proper sink namex

* Sun Sep 14 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-5mdv2009.0
+ Revision: 284611
- Pulse as a default audiosink in gstreamer

* Tue Sep 02 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-4mdv2009.0
+ Revision: 279060
- update with latest branch with fixes

* Thu Aug 14 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.2.0-3mdv2009.0
+ Revision: 271687
- Add patch from trunk

* Wed Jul 30 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-2mdv2009.0
+ Revision: 255126
- Add version to phonon-backend provides, to avoid apps requires phonon < 4.2

* Thu Jul 24 2008 Funda Wang <fundawang@mandriva.org> 4.2.0-1mdv2009.0
+ Revision: 246522
- 4.2.0 final

  + Helio Chissini de Castro <helio@mandriva.com>
    - Cleaning my mess

* Tue Jun 10 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2-0.819157.1mdv2009.0
+ Revision: 217666
- Update phonon and fix devel install

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 4.2-0.815960.1mdv2009.0
+ Revision: 214437
- Enable gstreamer backend. Plugins now provides a virtual phonon-backend and main desktop will requires
  a phonon-backend instead of explicit one.
- Created phonon-common for dbus interfaces

* Thu May 29 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.2-0.814039.2mdv2009.0
+ Revision: 213136
- Comment a buildRequire
- Add BuildRequires
  Add TODO
- import phonon


